## ros-noetic-moveit-calibration-gui 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_calibration_gui)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin REQUIRED COMPONENTS
  class_loader
  cv_bridge
  geometric_shapes
  image_geometry
  moveit_calibration_plugins
  moveit_core
  moveit_ros_perception
  moveit_ros_planning
  moveit_ros_planning_interface
  moveit_ros_visualization
  moveit_visual_tools
  pluginlib
  rosconsole
  roscpp
  rviz
  rviz_visual_tools
  tf2_eigen
)

find_package(Eigen3 REQUIRED)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "5")
	find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
	include(${QT_USE_FILE})
  macro(qt_wrap_ui)
    qt4_wrap_ui(${ARGN})
  endmacro()
else()
	find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
	set(QT_LIBRARIES Qt5::Widgets)
  macro(qt_wrap_ui)
    qt5_wrap_ui(${ARGN})
  endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  LIBRARIES
    moveit_handeye_calibration_rviz_plugin_core
  INCLUDE_DIRS
    handeye_calibration_rviz_plugin/include
  CATKIN_DEPENDS
    moveit_calibration_plugins
    moveit_core
    moveit_ros_perception
    moveit_ros_planning
    moveit_ros_planning_interface
    moveit_visual_tools
    roscpp
    rviz
    rviz_visual_tools
  DEPENDS
    EIGEN3
)

include_directories(
                    handeye_calibration_rviz_plugin/include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

include_directories(SYSTEM
                    ${EIGEN3_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR})

add_subdirectory(handeye_calibration_rviz_plugin)

install(FILES
  handeye_calibration_rviz_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
endif()

=== handeye_calibration_rviz_plugin/CMakeLists.txt ===
find_package(OpenCV REQUIRED)

set(HEADERS
  include/moveit/handeye_calibration_rviz_plugin/handeye_calibration_gui.h
  include/moveit/handeye_calibration_rviz_plugin/handeye_target_widget.h
  include/moveit/handeye_calibration_rviz_plugin/handeye_context_widget.h
  include/moveit/handeye_calibration_rviz_plugin/handeye_control_widget.h
)

#catkin_lint: ignore_once missing_directory
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Plugin Source
set(SOURCE_FILES
  src/handeye_calibration_gui.cpp
  src/handeye_target_widget.cpp
  src/handeye_context_widget.cpp
  src/handeye_control_widget.cpp
)

set(MOVEIT_LIB_NAME moveit_handeye_calibration_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core ${SOURCE_FILES} ${HEADERS})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core
  ${catkin_LIBRARIES} ${OpenCV_LIBS} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-calibration-gui (0.1.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yu Yan <yu.yan@intel.com>  Thu, 13 May 2021 03:40:16 -0000

=== debian/control ===
Source: ros-noetic-moveit-calibration-gui
Section: misc
Priority: optional
Maintainer: Yu Yan <yu.yan@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, pkg-config, qtbase5-dev, ros-noetic-catkin, ros-noetic-class-loader, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-image-geometry, ros-noetic-moveit-calibration-plugins, ros-noetic-moveit-core, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-visual-tools, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-rviz, ros-noetic-rviz-visual-tools, ros-noetic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-calibration-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-moveit-calibration-plugins, ros-noetic-moveit-core, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-visual-tools, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-rviz-visual-tools, ros-noetic-tf2-eigen
Description: MoveIt calibration gui
